View Single Post
  #6   (View Single Post)  
Old 11th June 2008
lvlamb's Avatar
lvlamb lvlamb is offline
Real Name: Louis V. Lambrecht
Spam Deminer
Join Date: May 2008
Location: .be
Posts: 221

With gnome 2.22, evolution exchange and dataserver had a major version bump, 2.12 > 2.22
This was my first break,


Affects: users of devel/gettext (ie: YOU)


As a result of the upgrade to gettext-0.17, the shared library version
of libintl has changed, so you will need to rebuild all ports that
depend on gettext:

# portupgrade -rf gettext
# portmaster -r gettext\*

Given the scope and sheer number of dependent ports, it may be more
advisable to simply blow away all existing install ports (after
keeping any local configuration changes), and rebuilding from scratch.
In many cases, best upgrade is newfs.
I had a similar problem also on OpenBSD with a snapshots and -current upgrade as of June 8. There I could delete the offending packages and had to add some symlinks.
On FreeBSD, best is as advised.
On OpenBSD,
newbiesm stay away from -current.
da more I know I know I know nuttin'
Reply With Quote